/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { Partner } from "../../components/partner";
import { Rule } from "../../components/rule";
import { Partners } from "../../config/Partners";
import type { JSX } from "react";

/**
 * Renders the /polycule page.
 * @returns A React Component.
 */
const Polycule = (): JSX.Element => {
  return (
    <main className="w-[95%] text-center
    max-w-4xl m-auto mt-16 mb-16 rounded-lg">
      <h1 className="text-5xl">{`Naomi's Polycule`}</h1>
      <section>
        <p className="mb-2">
          {`Meet the people who love and support Naomi to the ends of the earth.`}
        </p>
        <Rule />
        <div className="w-full">
          {Partners.map((member) => {
            return <Partner
              anniversary={member.anniversary}
              avatar={member.avatar}
              key={member.name}
              name={member.name}
              relationship={member.relationship}
              url={member.url}
            />;
          })}
        </div>
      </section>
    </main>
  );
};

export default Polycule;
